import request from '@/utils/request'

// 查询任务和审批流程一对多关系列表
export function listTaskInstance(query) {
  return request({
    url: '/sfa/taskInstance/list',
    method: 'get',
    params: query
  })
}

// 查询任务和审批流程一对多关系详细
export function getTaskInstance(taskInstanceId) {
  return request({
    url: '/sfa/taskInstance/' + taskInstanceId,
    method: 'get'
  })
}

// 新增任务和审批流程一对多关系
export function addTaskInstance(data) {
  return request({
    url: '/sfa/taskInstance',
    method: 'post',
    data: data
  })
}

// 修改任务和审批流程一对多关系
export function updateTaskInstance(data) {
  return request({
    url: '/sfa/taskInstance',
    method: 'put',
    data: data
  })
}

// 删除任务和审批流程一对多关系
export function delTaskInstance(taskInstanceId) {
  return request({
    url: '/sfa/taskInstance/' + taskInstanceId,
    method: 'delete'
  })
}
